Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetActiveLiveLocationMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.GetActiveLiveLocationMessages

Enclosing class:
  TdApi

public static final class TdApi.GetActiveLiveLocationMessages extends TdApi.Function<TdApi.Messages>
Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`GetActiveLiveLocationMessages()`
Returns all active live locations that need to be updated by the application.
`GetActiveLiveLocationMessages(DataInput input)`
Returns all active live locations that need to be updated by the application.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetActiveLiveLocationMessages

public GetActiveLiveLocationMessages()
Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

### GetActiveLiveLocationMessages

public GetActiveLiveLocationMessages(DataInput input) throws IOException
Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`